<!DOCTYPE html>
<html lang="ru">

<head>
  <title>Задание 4</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="style.css">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
    integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
</head>

<body>
  <header>
    <div class="container-fluid">
      <div class="container">
        <div class="row">
          <div class="img-responsive col-xs-1">
            <img id="logo" src="images/logo.png" alt="Логотип компании" class="p-2">
          </div>
          <div class="col-xs-3">
            <div id="sitename" class="p-1">Название сайта</div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <div class="container mt-2">
    <nav class="navbar navbar-inverse navbar-expand-sm justify-content-center">
      <ul id="menu" class="navbar-nav">
        <li class="nav-item col-sm-12 col-md-4"><a href="" class="nav-link">Главная</a></li>
        <li class="nav-item col-sm-12 col-md-4"><a href="" class="nav-link">Новости</a></li>
        <li class="nav-item col-sm-12 col-md-4"><a href="" class="nav-link">О нас</a></li>
      </ul>
    </nav>
  </div>

  <div class="container">
    <div class="container d-flex flex-column">
      <ol>
        <li><a href="http://exmaple.com">абсолютную гиперссылку на главную страницу сайта example.com;</a></li>
        <li><a href="https://example.com">абсолютную на главную сайта example.com в протоколе https;</a></li>
        <li><a href="ftp://example.com/plot.txt">ссылку на файл на сервере FTP без авторизации;</a></li>
        <li><a href="ftp://login:pass123@example.com/plot.txt">ссылку на файл на сервере FTP с авторизацией;</a></li>
        <li><a href="https://www.matrixresurrections.net#trailer">ссылку на фрагмент страницы некоторого сайта;</a></li>
        <li><a href="#send-button">ссылка на фрагмент текущей страницы(кнопка отправки формы)</a></li>
        <li><a href="https://www.matrixresurrections.net?morpheus=redpill&cypher=bluepill">ссылку с двумя параметрами в
            URL;</a></li>
        <li>
          <ul>
            <li><a href="index.html" title="Что такое матрица?">Главная</a></li>
            <li><a href="news.html" title="Новости из мира матрицы">Новости</a></li>
            <li><a href="blog.html" title="Интересные истории из мира матрицы">Блог</a></li>
            <li><a href="about.html" title="Где найти Морфеуса">О нас</a></li>
          </ul>
        </li>
        <li><a>ссылка без href</a></li>
        <li><a href="">ссылка с пустым href</a></li>
        <li><a href="http://example.com" rel="nofollow">ссылку, по которой запрещен переход поисковикам;</a></li>
        <li><a href="http://example.com" rel="noindex">запрещенную для индексации поисковиками;</a></li>
        <li>
          <p>это параграф, а это <a href="http://exmaple.com">контекстная ссылка</a></p>
        </li>
        <li><a href="http://example.com"><img src="images/2240x1680.jpg" width="150" height="120"
              alt="Желтый цветок"></a>
        </li>
        <li><img src="images/2240x1680.jpg" width="150" height="120" usemap="#flower" alt="Желтый цветок"></li>
        <li><a href="trailer.html">относительную на страницу в текущем каталоге;</a></li>
        <li><a href="about/film.html">относительную на страницу в текущем каталоге;</a></li>
        <li><a href="../thematrix.html">относительную на страницу в каталоге уровнем выше текущего; </a></li>
        <li><a href="../../Vachovsky.html">относительную на страницу в каталоге двумя уровнями выше;</a></li>
        <li><a href="/home">сокращенную на главную;</a></li>
        <li><a href="/news">сокращенную ссылку на внутреннюю.</a></li>
      </ol>

      <map name="flower">
        <area shape="rect" coords="0,0,30,120" href="http://example.com" alt="ссылка на ресурс" />
        <area shape="rect" coords="0,0,150,10" href="http://example.com" alt="ссылка на ресурс" />
        <area shape="rect" coords="120,0,150,120" href="http://example.com" alt="ссылка на ресурс" />
        <area shape="rect" coords="0,110,150,120" href="http://example.com" alt="ссылка на ресурс" />
        <area shape="circle" coords="75,57,12" href="http://example.com" alt="ссылка на ресурс" />
      </map>

      <div class="table-responsive-md order-md-0 order-1">
        <table class="table table-striped table-bordered">
          <caption>Тестовая таблица</caption>
          <tbody>
            <tr>
              <th scope="col">#</th>
              <th scope="col">1</th>
              <th scope="col">2</th>
              <th scope="col">3</th>
            </tr>
            <tr>
              <th scope="row">1</th>
              <td>Элемент 1.1</td>
              <td colspan="2" class="bg-info">Элементы 1.2 + 1.3</td>
            </tr>

            <tr>
              <th scope="row">2</th>
              <td rowspan="2" class="bg-info">Элементы 2.1+3.1</td>
              <td class="highlighted-even">Элемент 2.2</td>
              <td class="highlighted-odd">Элемент 2.3</td>
            </tr>

            <tr>
              <th scope="row">3</th>
              <td class="highlighted-even">Элемент 3.2</td>
              <td class="highlighted-odd">Элемент 3.3</td>
            </tr>

            <tr>
              <th scope="row">4</th>
              <td class="highlighted-odd">Элемент 4.1</td>
              <td class="highlighted-even">Элемент 4.2</td>
              <td class="highlighted-odd">Элемент 4.3</td>
            </tr>

            <tr>
              <th scope="row">5</th>
              <td class="highlighted-odd">Элемент 5.1</td>
              <td class="highlighted-even">Элемент 5.2</td>
              <td class="highlighted-odd">Элемент 5.3</td>
            </tr>
          </tbody>
        </table>
      </div>
      <br />

      <div class="container order-md-1 order-0">
        <form>
          <div class="form-group row">
            <label class="col-1 col-form-label">Имя:</label>
            <div class="col-sm-4 col-md-11">
              <input class="form-control" name="user-name" placeholder="Морфеус" />
            </div>
          </div>

          <div class="form-group row">
            <label class="col-1 col-form-label">Email:</label>
            <div class="col-sm-4 col-md-11">
              <input class="form-control" name="field-email" placeholder="destroythem@trix.gmail" type="email" />
            </div>
          </div>

          <div class="form-group row">
            <label class="col-xs-1 col-md-3 col-form-label">Дата рождения:</label>
            <div class="col-xs-1 col-md-3">
              <input class="form-control" name="field-date" value="1999-10-14" type="date" />
            </div>
          </div>

          <label>Пол:</label>

          <div class="form-check">
            <input class="form-check-input" type="radio" name="field-gender" value="Male" />
            <label class="form-check-label">Мужской</label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="radio" name="field-gender" value="Female" />
            <label class="form-check-label">Женский</label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="radio" checked="checked" name="field-gender" value="AI" />
            <label class="form-check-label">ИИ</label>
          </div>

          <label>Количетсво конечностей:</label>

          <div class="form-check">
            <input class="form-check-input" type="radio" name="number-of-limbs" value="4" />
            <label class="form-check-label">4</label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="radio" name="number-of-limbs" value="3" />
            <label class="form-check-label">3</label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="radio" name="number-of-limbs" value="2" />
            <label class="form-check-label">2</label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="radio" name="number-of-limbs" value="1" />
            <label class="form-check-label">1</label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="radio" checked="checked" name="number-of-limbs" value="0" />
            <label class="form-check-label">Я машина</label>
          </div>


          <div class="form-group row">
            <label class="col-2 col-form-label">Сверхспособности:</label>
            <div class="col-xs-2 col-md-3">
              <select class="custom-select" name="superpowers">
                <option value="immortality">Бессмертие</option>
                <option value="passing_through_walls">Прохождение сковзь стены</option>
                <option value="levitation">Левитация</option>
              </select>
            </div>
          </div>

          <div class="form-group">
            <label>Расскажите о себе. Верите ли Вы в судьбу?</label>
            <textarea class="form-control" name="biography">Мне приятнее думать, что тобой манипулируют</textarea>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="checkbox" checked="checked" name="check-alice" />
            <label class="form-check-label">Помни я всего лишь предлагаю узнать правду, не более</label>
          </div>

          <br>
          <input type="submit" class="btn btn-primary" value="Отправить" id="send-button" />
        </form>
      </div>
    </div>
  </div>

  <footer class="p-2 mt-4">
    <div class="container-fluid">
      <span class="align-middle">&#xa9; Богдан Михаенко 2021</span>
    </div>
  </footer>
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns"
    crossorigin="anonymous"></script>
</body>

</html>